For AI agents: a documentation index is available at /llms.txt. A markdown version of this page is available at the same URL with .md appended (or via Accept: text/markdown).
Skip to main content

getNetwork

Returns the network this node serves, including the passphrase required to sign transactions. This method uses 160 credits from your daily balance.

Parameters​

None

Returns​

result: (object) - Network configuration.

  • passphrase: (string) - Network passphrase configured for this node.
  • protocolVersion: (integer) - Stellar Core protocol version of the latest ledger.
  • friendbotUrl: (string) [optional] - URL of this network's Friendbot faucet. Present on Testnet. Mainnet does not provide Friendbot.

Request​

curl https://stellar-mainnet.infura.io/v3/<YOUR-API-KEY> \
-X POST \
-H "Content-Type: application/json" \
-d '{"jsonrpc": "2.0", "id": 1, "method": "getNetwork"}'

Response​

{
"jsonrpc": "2.0",
"id": 1,
"result": {
"passphrase": "Public Global Stellar Network ; September 2015",
"protocolVersion": 29
}
}